%
% anyremote configuration file for Gnomeradion (http://www.wh-hms.uni-ulm.de/~mfcn/gnomeradio/) 
% management. (Server-mode)
%

% STATUS stable
% XTEST yes
% SOUND app
% ENV no

GuiAppName=Gnomeradio
GuiAppBinary=gnomeradio
GuiAppRun=echo 'A=`ps -ef|grep gnomeradio|grep -v grep|grep -v anyremote|grep -v edit`; if [ "x$A" == "x" ]; then echo NOK; else echo OK; fi' | bash -f -s
GuiAppIcon=gnomeradio.png
GuiAppType=Application
GuiAppProtocols=Server
GuiAppDesc=Gnomeradio is a FM-radio tuner for the GNOME desktop

[Protocol]=Server

(Init)=Include($(CfgDir)/Utils/aliases-server.cfg);
(Connect)=Set(icons,GnomeRadio,1,vol_down,2,mute,3,vol_up,4,prev,5,default,6,next,7,default,8,default,9,default,*,question,0,default,#,no);\
	Exec(echo 'A=`ps -ef|grep gnomeradio|grep -v grep|grep -v anyremote|grep -v edit`; if [ "x$A" == "x" ]; then gnomeradio& fi' | bash -f -s);

Back=Set(text,close);
	
Cancel=Exec(killall gnomeradio);

1=Emulate(key,KP_Subtract)
2=Emulate(key,m)
3=Emulate(key,KP_Add)

4=Emulate(key,p)
6=Emulate(key,n)

* *=Set(text,replace,Help,1 Vol-\n2 Mute\n3 Vol+\n4 Previous\n6 Next\n* * Help\n* # Run/Quit\n# Quit);
* #=Exec(echo 'A=`ps -ef|grep gnomeradio|grep -v grep|grep -v anyremote|grep -v edit`; if [ "x$A" == "x" ]; then gnomeradio& else killall gnomeradio; fi' | bash -f -s);
#=Exec(killall gnomeradio)

[End]
